Subject: Re: merging git-p4 into git/fastimport.git (second try)

From: Simon Hausmann <[email-masked]>
Date: Tue, 19 Jun 2007 08:42:09 +0200

On Tuesday 19 June 2007 01:00:18 Shawn O. Pearce wrote:
> Simon Hausmann <[email-masked]> wrote:
> > after reworking most of the really short commit logs and adding the
> > missing SOB lines I'd like to ask for consideration of merging git-p4 as
> > part of contrib/fastimport/ from
> >
> > 	git://repo.or.cz/fast-export.git git-p4
>
> Most of the commits look pretty good.  The effort you have put into
> cleaning them up shows.
>
> However, many of the oneline descriptions from Han-Wen Nienhuys
> are still really short and not very descriptive.  They won't look
> very good in Junio's "What's in git.git".  A few of yours are
> also pretty long winded for a typical oneline in git.git, but I'd
> rather have a descriptive-but-long oneline anytime over a short
> and undescriptive one.

Why not just leave out the entire lot of git-p4 logs in "What's in git.git" 
this one time? I'm not sure of how much value it is at this point anyway. I'm 
just interested in preserving the history to ease debugging.

> So I'm seriously considering merging this at this point.  I'm heading
> out to dinner and will look at it more again when I get back, but
> I think we should just bite the bullet and bring it into core Git.

There's also another option that might help to keep the logs clean for future 
plain "git log" usage and that is to prepend a "git-p4:" prefix to most of 
the logs. That makes "git-p4: Documentation cleanups" look better I think and 
it's really easy to do.

Simon